import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.awt.Color;

public class Counter  extends Actor
{
    private int value = 0;
    private int target = 0;
    private String text;
    private int stringLength;

    public Counter(String prefix)
    {
        text = prefix;
        //creates a string with length that can fit "score: "
        stringLength = (text.length() + 2) * 16;
        setImage(new GreenfootImage(stringLength, 24));

        //sets font
        GreenfootImage image = getImage();
        Font font = image.getFont();
        image.setFont(font.deriveFont(15.0F)); 
        //sets colour
        image.setColor(Color.RED);

        updateImage();
    }

    public void act() 
    {
        //adds if the original score is smaller than the new score
        if(value < target)
        {
            //score goes up by one until original score = new score
            value++;
            //updates the counter each time so it will look like it is counting
            updateImage();
        }
    }    

    public void add(int score)
    {
        //add the score to the target so score can be added using if statement in act method
        target += score;
    }

    private void updateImage()
    {
        //gets original image and clears it
        GreenfootImage img = getImage();
        img.clear();
        //draws new image on string
        img.drawString(text + value, 1, 24);
    }

    public int getValue()
    {
        //used to get score
        return value;
    }
}
