import greenfoot.*; // (World, Actor, GreenfootImage, and Greenfoot)
import java.awt.Color;
import java.awt.Font;
import java.util.Calendar;

public class ScoreBoard extends Actor
{
    //constructor with only 1 parameter, used when game over
    public ScoreBoard(int score)
    {
        //makes scoreboard with game over, score:
        makeImage("Game Over!", "Score: ", score);
    }
    //constructor with 2 parameters, used when game beaten
    public ScoreBoard(int score, String mess)
    {
        //makes scoreboard with you win! score:
        makeImage (mess, "Score: ", score);
    }    

    private void makeImage(String title, String prefix, int score)
    {
        //creates the image
        GreenfootImage image = new GreenfootImage(300, 150);

        //set and fill colour of outside rectangle
        image.setColor(new Color(0, 0, 0, 160));
        image.fillRect(0, 0, 300, 150);
        //set and fill colour of inside rectangle
        image.setColor(Color.RED);
        image.fillRect(5, 5, 290, 140);
        //set font size
        Font font = image.getFont();
        font = font.deriveFont(30.0f);
        image.setFont(font);
        //set font colour
        image.setColor(Color.BLACK);
        //draws the string in the middle of box
        image.drawString(title, 80, 60);
        image.drawString(prefix + score, 80, 110);
        setImage(image);
    }
}